> ## Documentation Index
> Fetch the complete documentation index at: https://docs.borderless.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Create executable Deposit Quote

> Create an executable Deposit quote that can later be referenced by its `quoteId` when initiating a deposit. The quote is valid until the returned `expiresAt` timestamp.



## OpenAPI

````yaml https://sandbox-api.borderless.xyz/v1/api-json post /v1/deposits/quotes
openapi: 3.0.0
info:
  title: Borderless API
  description: The Borderless API documentation.
  version: '1.0'
  contact: {}
servers:
  - url: https://sandbox-api.borderless.xyz
security: []
tags: []
paths:
  /v1/deposits/quotes:
    post:
      tags:
        - Transaction / Deposits
      summary: Create executable Deposit Quote
      description: >-
        Create an executable Deposit quote that can later be referenced by its
        `quoteId` when initiating a deposit. The quote is valid until the
        returned `expiresAt` timestamp.
      operationId: DepositsController_createExecutableQuote
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateDepositExecutableQuoteDto'
      responses:
        '200':
          description: Executable quote with quoteId and expiration timestamp.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExecutableQuoteEntity'
        '400':
          description: The Quote data is invalid or incomplete.
      security:
        - bearer: []
components:
  schemas:
    CreateDepositExecutableQuoteDto:
      type: object
      properties:
        amount:
          type: string
          description: >-
            The amount for the operation. For deposits, this is the fiat amount
            the user must contribute. For withdrawals, this is the amount of the
            asset to be withdrawn.
          example: '100.00'
          minLength: 1
        accountId:
          type: string
          description: >-
            The id of the account associated with the operation. For
            withdrawals, this is the account from which assets will be
            withdrawn. For deposits, this is the account where assets will be
            deposited.
          example: cm2c4x3cc000019stwv7um4zl
        developerFee:
          type: string
          description: An optional developer fee for the operation, if applicable
          example: '5.00'
        pfiName:
          description: >-
            Specific PFI to use for this operation. If omitted, the
            organization's default PFI is used.
          allOf:
            - $ref: '#/components/schemas/PFIName'
        asset:
          description: >-
            The token tied to a specific blockchain for the deposit. See the
            list of [supported deposit
            assets](https://docs.buildborderless.com/docs/get-deposit-options).
          example: BTC
          allOf:
            - $ref: '#/components/schemas/AssetId'
        fiat:
          description: The fiat currency used for the deposit operation.
          example: USD
          allOf:
            - $ref: '#/components/schemas/FiatCurrencyId'
        country:
          description: >-
            The country code in ISO-3166-2 format for the region where the
            deposit is performed.
          example: US
          allOf:
            - $ref: '#/components/schemas/CountryCode'
        paymentMethod:
          description: >-
            The payment method used for the deposit transaction. Learn more at
            [Payment Methods
            Documentation](https://docs.buildborderless.com/docs/get-deposit-options).
          example: ACH
          allOf:
            - $ref: '#/components/schemas/PaymentMethod'
        counterPartyIdentityId:
          type: string
          description: >-
            The ID of the identity on whose behalf the deposit is being
            initiated. If not specified, the deposit will be initiated for the
            identity tied to the account by default.
          example: cm2c4x3cc000019stwv7um4zl
        businessIdentityId:
          type: string
          deprecated: true
          description: >-
            Deprecated: ignored. The payment-provider credentials are selected
            by `counterPartyIdentityId`.
          example: cm2c4x3cc000019stwv7um4zl
      required:
        - amount
        - accountId
        - asset
        - fiat
        - country
        - paymentMethod
    ExecutableQuoteEntity:
      type: object
      properties:
        limits:
          $ref: '#/components/schemas/LimitsQuoteEntity'
        fiat:
          allOf:
            - $ref: '#/components/schemas/FiatCurrencyId'
        country:
          allOf:
            - $ref: '#/components/schemas/CountryCode'
        asset:
          allOf:
            - $ref: '#/components/schemas/AssetId'
        paymentMethod:
          allOf:
            - $ref: '#/components/schemas/PaymentMethod'
        fromAmount:
          type: string
          description: From amount of the conversion, e.g 100.
          example: '10'
        toAmount:
          type: string
          description: To amount of the conversion, e.g 100.
          example: '8.99'
        exchangeRate:
          type: string
          description: Exchange rate of the conversion, e.g 1.
          example: '0.999'
        totalFee:
          type: string
          description: >-
            Total fees, denominated in the source currency: the fiat currency
            for a Deposit Quote, the asset for a Withdrawal Quote. Includes the
            orchestration fee.
          example: '1'
        orchestrationFee:
          type: string
          description: >-
            Borderless orchestration fee, denominated in the same source
            currency as totalFee: the fiat currency for a Deposit Quote, the
            asset for a Withdrawal Quote.
          example: '1'
        fees:
          description: >-
            Itemised breakdown of every fee that applies to this quote. Empty
            for providers whose fees have not been catalogued yet.
          type: array
          items:
            $ref: '#/components/schemas/FeeLineEntity'
        quoteId:
          type: string
          description: >-
            Unique identifier of the executable quote that can be used to create
            a transaction.
          example: cm2c4x3cc000019stwv7um4zl
        expiresAt:
          type: string
          description: ISO 8601 timestamp indicating when the executable quote expires.
          example: '2026-04-27T12:30:00.000Z'
          format: date-time
      required:
        - limits
        - fiat
        - country
        - asset
        - paymentMethod
        - fromAmount
        - toAmount
        - exchangeRate
        - totalFee
        - orchestrationFee
        - quoteId
        - expiresAt
    PFIName:
      type: string
      enum:
        - Bridge
        - Koywe
        - Kotanipay
        - Hercle
        - Bitso
        - Yellowcard
        - TraceFinance
        - HoneyCoin
        - BlindPay
        - Finity
        - Infinia
        - Walapay
        - Abra
        - Yativo
        - Capa
        - Bivo
        - Cobre
        - Avenia
        - Brale
        - BVNK
        - CoinsPH
        - Iron
        - Enigma
        - Kira
        - TripleA
        - Onmeta
        - Alfred
        - Tazapay
        - Demo
        - CrissCross
        - Pockyt
    AssetId:
      type: string
      enum:
        - POL
        - USDT_POLYGON
        - USDC_POLYGON
        - SBC_POLYGON
        - ETH
        - USDT_ETHEREUM
        - USDC_ETHEREUM
        - PYUSD_ETHEREUM
        - DAI_ETHEREUM
        - EURC_ETHEREUM
        - SBC_ETHEREUM
        - TRX
        - USDT_TRON
        - SBC_TRON
        - ETH_BASE
        - USDC_BASE
        - USDB_BASE
        - USDB_ETHEREUM
        - EURC_BASE
        - SBC_BASE
        - ETH_OPTIMISM
        - USDT_OPTIMISM
        - USDC_OPTIMISM
        - BTC
        - CELO
        - CUSD_CELO
        - USDC_CELO
        - SBC_CELO
        - SOL
        - USDC_SOLANA
        - USDT_SOLANA
        - PYUSD_SOLANA
        - USDP_SOLANA
        - EURC_SOLANA
        - SBC_SOLANA
    FiatCurrencyId:
      type: string
      enum:
        - USD
        - EUR
        - BRL
        - ARS
        - MXN
        - COP
        - CLP
        - PEN
        - PYG
        - DOP
        - UYU
        - BOB
        - CRC
        - GTQ
        - BWP
        - CDF
        - GHS
        - KES
        - MWK
        - NGN
        - RWF
        - ZAR
        - TZS
        - UGX
        - ZMW
        - XOF
        - XAF
        - AUD
        - BDT
        - CAD
        - INR
        - JPY
        - NPR
        - PKR
        - PHP
        - SGD
        - GBP
        - CNY
        - HKD
        - CNH
        - IDR
        - MYR
        - KRW
        - LKR
        - THB
        - TRY
        - VND
        - CZK
        - HUF
        - DKK
        - NOK
        - PLN
        - RON
        - RSD
        - SEK
        - CHF
        - AED
        - SAR
        - QAR
        - ILS
        - EGP
        - JOD
        - HNL
        - JMD
        - NZD
        - DZD
        - GMD
        - GNF
        - HTG
        - MAD
        - TND
      description: Fiat currency identifier (e.g. USD, EUR)
    CountryCode:
      type: string
      enum:
        - AF
        - AL
        - DZ
        - AS
        - AD
        - AO
        - AI
        - AQ
        - AG
        - AR
        - AM
        - AW
        - AU
        - AT
        - AZ
        - BS
        - BH
        - BD
        - BB
        - BY
        - BE
        - BZ
        - BJ
        - BM
        - BT
        - BO
        - BQ
        - BA
        - BW
        - BV
        - BR
        - IO
        - BN
        - BG
        - BF
        - BI
        - CV
        - KH
        - CM
        - CA
        - KY
        - CF
        - TD
        - CL
        - CN
        - CX
        - CC
        - CO
        - KM
        - CD
        - CG
        - CK
        - CR
        - HR
        - CU
        - CW
        - CY
        - CZ
        - CI
        - DK
        - DJ
        - DM
        - DO
        - EC
        - EG
        - SV
        - GQ
        - ER
        - EE
        - SZ
        - ET
        - FK
        - FO
        - FJ
        - FI
        - FR
        - GF
        - PF
        - TF
        - GA
        - GM
        - GE
        - DE
        - GH
        - GI
        - GR
        - GL
        - GD
        - GP
        - GU
        - GT
        - GG
        - GN
        - GW
        - GY
        - HT
        - HM
        - VA
        - HN
        - HK
        - HU
        - IS
        - IN
        - ID
        - IR
        - IQ
        - IE
        - IM
        - IL
        - IT
        - JM
        - JP
        - JE
        - JO
        - KZ
        - KE
        - KI
        - KP
        - KR
        - KW
        - KG
        - LA
        - LV
        - LB
        - LS
        - LR
        - LY
        - LI
        - LT
        - LU
        - MO
        - MG
        - MW
        - MY
        - MV
        - ML
        - MT
        - MH
        - MQ
        - MR
        - MU
        - YT
        - MX
        - FM
        - MD
        - MC
        - MN
        - ME
        - MS
        - MA
        - MZ
        - MM
        - NA
        - NR
        - NP
        - NL
        - NC
        - NZ
        - NI
        - NE
        - NG
        - NU
        - NF
        - MP
        - 'NO'
        - OM
        - PK
        - PW
        - PS
        - PA
        - PG
        - PY
        - PE
        - PH
        - PN
        - PL
        - PT
        - PR
        - QA
        - MK
        - RO
        - RU
        - RW
        - RE
        - BL
        - SH
        - KN
        - LC
        - MF
        - PM
        - VC
        - WS
        - SM
        - ST
        - SA
        - SN
        - RS
        - SC
        - SL
        - SG
        - SX
        - SK
        - SI
        - SB
        - SO
        - ZA
        - GS
        - SS
        - ES
        - LK
        - SD
        - SR
        - SJ
        - SE
        - CH
        - SY
        - TW
        - TJ
        - TZ
        - TH
        - TL
        - TG
        - TK
        - TO
        - TT
        - TN
        - TR
        - TM
        - TC
        - TV
        - UG
        - UA
        - AE
        - GB
        - UM
        - US
        - UY
        - UZ
        - VU
        - VE
        - VN
        - VG
        - VI
        - WF
        - EH
        - YE
        - ZM
        - ZW
        - AX
        - ZZ
    PaymentMethod:
      type: string
      enum:
        - ACH
        - Wire
        - Sepa
        - Swift
        - Card
        - MobileMoney
        - PIX
        - TED
        - PSE
        - SPEI
        - COELSA
        - Transfers30
        - SPAV
        - TEF
        - CCE
        - SPI
        - LBTR
        - SINPE
        - Transfer365
        - NIP
        - GhIPSS
        - BankTransfer
        - EFT
        - RTP
        - BECS
        - FPS
        - IMPS_FIRC
        - Breb
        - NPSS
        - MADA
        - ZAHAV
        - IBFT
        - SIC
        - Alipay
        - Tips
        - Napas
        - BiFast
        - FastSg
        - Instapay
        - Ipp
        - Giro
        - Elixir
        - FastRtp
        - TransFond
        - Nics
        - Cnaps
        - UnionPay
        - UPI
        - Onchain
    LimitsQuoteEntity:
      type: object
      properties:
        transaction:
          description: >-
            Limits applied to each individual transaction, defining the minimum
            and maximum allowable amounts.
          allOf:
            - $ref: '#/components/schemas/LimitEntity'
      required:
        - transaction
    FeeLineEntity:
      type: object
      properties:
        componentType:
          description: Which party's fee this line represents.
          allOf:
            - $ref: '#/components/schemas/FeeComponentType'
        collectionMode:
          description: >-
            How the fee is collected: embedded in the exchange-rate spread,
            deducted from the source amount, or invoiced off-platform.
          allOf:
            - $ref: '#/components/schemas/FeeCollectionMode'
        valueSource:
          description: >-
            Whether the value is configured in Borderless or reported by the
            provider.
          allOf:
            - $ref: '#/components/schemas/FeeValueSource'
        amount:
          type: string
          description: >-
            Fee amount. Zero on an Spread line means the provider margins the
            rate by an amount we cannot observe.
          example: '1.5'
        currency:
          type: string
          description: Currency or asset the amount is denominated in.
          example: USD
        originalAmount:
          type: string
          nullable: true
          description: >-
            Amount the fee was priced in before conversion into `currency`. Null
            when the fee was not converted.
          example: '5'
        originalCurrency:
          type: string
          nullable: true
          description: >-
            Currency the fee was priced in before conversion. Null when not
            converted.
          example: MXN
        exchangeRate:
          type: string
          nullable: true
          description: >-
            Units of `currency` per 1 unit of `originalCurrency` used for the
            conversion. Null when not converted.
          example: '0.0571428571'
      required:
        - componentType
        - collectionMode
        - valueSource
        - amount
        - currency
        - originalAmount
        - originalCurrency
        - exchangeRate
    LimitEntity:
      type: object
      properties:
        minAmount:
          type: string
          nullable: true
          description: >-
            Minimum allowed amount in fiat currency for the specified limit
            period (e.g., per transaction, day, or year).
          example: '123'
        maxAmount:
          type: string
          nullable: true
          description: >-
            Maximum allowed amount in fiat currency for the specified limit
            period (e.g., per transaction, day, or year).
          example: '123'
        fiat:
          enum:
            - USD
            - EUR
            - BRL
            - ARS
            - MXN
            - COP
            - CLP
            - PEN
            - PYG
            - DOP
            - UYU
            - BOB
            - CRC
            - GTQ
            - BWP
            - CDF
            - GHS
            - KES
            - MWK
            - NGN
            - RWF
            - ZAR
            - TZS
            - UGX
            - ZMW
            - XOF
            - XAF
            - AUD
            - BDT
            - CAD
            - INR
            - JPY
            - NPR
            - PKR
            - PHP
            - SGD
            - GBP
            - CNY
            - HKD
            - CNH
            - IDR
            - MYR
            - KRW
            - LKR
            - THB
            - TRY
            - VND
            - CZK
            - HUF
            - DKK
            - NOK
            - PLN
            - RON
            - RSD
            - SEK
            - CHF
            - AED
            - SAR
            - QAR
            - ILS
            - EGP
            - JOD
            - HNL
            - JMD
            - NZD
            - DZD
            - GMD
            - GNF
            - HTG
            - MAD
            - TND
          type: string
          description: Fiat currency for the minAmount and maxAmount.
          example: USD
      required:
        - fiat
    FeeComponentType:
      type: string
      enum:
        - PaymentMethod
        - Provider
        - VirtualAccount
        - Orchestration
        - Developer
      description: Which party's fee this line represents.
    FeeCollectionMode:
      type: string
      enum:
        - Spread
        - Deducted
        - Invoiced
      description: >-
        How the fee is collected: embedded in the exchange-rate spread, deducted
        from the source amount, or invoiced off-platform.
    FeeValueSource:
      type: string
      enum:
        - Static
        - ProviderQuote
      description: >-
        Whether the value is configured in Borderless or reported by the
        provider.
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.